/**
 * title: "分割按钮"
 * description: "Button.Group 子组件用于将多个按钮组合在一个容器中"
 */
import React from 'react';
import { Button, Icon } from '@alicloud/console-components';
var centerStyle = {
    display: 'flex',
    gap: '16px',
};
export default (function () {
    return (React.createElement("div", { style: centerStyle },
        React.createElement(Button.Group, null,
            React.createElement(Button, { type: "primary" }, "\u57FA\u7840\u6309\u94AE"),
            React.createElement(Button, { type: "primary", style: { width: "32px", padding: "0px" } },
                React.createElement(Icon, { type: "arrow_circular", size: "medium" }))),
        "\u00A0 \u00A0",
        React.createElement(Button.Group, null,
            React.createElement(Button, null, "\u57FA\u7840\u6309\u94AE"),
            React.createElement(Button, { style: { width: "32px", padding: "0px" } },
                React.createElement(Icon, { type: "arrow_circular", size: "medium" }))),
        "\u00A0\u00A0",
        React.createElement(Button.Group, null,
            React.createElement(Button, { disabled: true }, "\u57FA\u7840\u6309\u94AE"),
            React.createElement(Button, { disabled: true, style: { width: "32px", padding: "0px" } },
                React.createElement(Icon, { type: "arrow_circular", size: "medium" })))));
});
